Subject: Re: git & ssh on F10 server

From: "Aaron Gray" <[email-masked]>
Date: Sat, 18 Apr 2009 16:58:33 +0100

> On Sat, 18 Apr 2009, Aaron Gray wrote:
>
>>>  On Fri, 17 Apr 2009, Aaron Gray wrote:
>>> > >   On Fri, 17 Apr 2009, Aaron Gray wrote:
>>> > >
>>> > > >   Hi,
>>> > > >
>>> > > >  we have a Fedora 10 server in SELinux enforcing mode setup 
>>> > > > running git-deamon and gitweb (with home grown SElinux policy).
>>> > > >
>>> > > >  Anyway now we find out you cannot do a 'push' over the basic git 
>>> > > > protocol, back to the server repository.
>>> > >
>>> > >  You can push over git://, but you get no authentication mechanism 
>>> > > so it's
>>> > >   disabled by default.  It's only really useful if you trust 
>>> > > everyone who
>>> > >   has IP access to the server.
>>> >
>>> >  How do go about I enabling it ?
>>>
>>>  You have to enable the receive-pack service.  You can either enable it 
>>> for
>>>  all repositories by using the --enable=<service> option to git-daemon, 
>>> or
>>>  on a per-repository basis by setting daemon.receivepack to true in the
>>>  repositories that you want to enable push for.
>>
>> Okay I have added the following to 'config' :-
>>
>> [daemon]
>>        receivepack = true
>>
>> and done an 'service xinetd restart' just in case, probably not needed.
>>
>> I have tried a 'git push git://.../repo' but it is hanging, btw I am 
>> using Cygwin on the client, and F10 on the server.
>
> What output do you get?

None.

>  What version of git are you using (client and server)?

Server: F10
        git is version 1.6.0.6
        git-daemon 1.6.0.6-3.fc10.i386

Client: Cygwin
        git is version 1.6.1.2

> Do you get any output logged by the git daemon?

I dont seem to have logging on at all. How do I enable it ?
I am running git-daemon via xinetd

Aaron

>> Trying to clone an empty repository also hangs. btw I have sucessfully 
>> cloned big repositories.
>>
>> Aaron
>
> -- 
> Julian
>
>  ---
> Yes, but every time I try to see things your way, I get a headache.